---

--  ->   Интеграция дизайна, настройка системы  ->  Устаревшие модули - Как быть в Амиро6 ?


Вопросы по интеграции, настройке шаблонов, конфигурации системы.



Добавлено: 16.05.14 12:32:32 #1



Регистрация: 27.12.12
Сообщений: 28


Обратиться по имени

Добрый день!

Менеджер модулей выдает, что модули устарели


Как теперь быть с ними в новой версии Амиро?
Прежде всего, интересует Доска объявлений.

Заранее спасибо.
Добавлено: 16.05.14 23:55:12 #2



Регистрация: 14.07.08
Сообщений: 1006


Обратиться по имени

Да ичего особого делать не нужно, вот выдержка из релиза шестой версии, где появились инфоленты
На ранее созданных сайтах модули управления контентом предыдущего поколения (новости, статьи, фотоальбомы, блоги) продолжат работать без изменений. Их можно автоматически преобразовать в инфоленты, причем на выбор – с сохранением имеющегося дизайна либо с получением новых современных универсальных шаблонов, дающих больше возможностей для настройки дизайна без программирования, одними средствами CSS. Неиспользуемые модули можно удалить в менеджере модулей, высвободив ресурсы системы.

Преобразование модулей предыдущего поколения в инфоленты можно производить без ущерба для посетителей сайта, создавая различные варианты инфолент, подбирая и настраивая функционал и оформление и не публикуя изменения до окончательного завершения настройки.

Подробнее о переводе контентных модулей на инфоленты, переносе данных и шаблонов читайте в специально подготовленном FAQ по миграции модулей с 5-й на 6-ю версию Amiro.CMS.
Добавлено: 20.05.14 08:15:45 #3



Регистрация: 27.12.12
Сообщений: 28


Обратиться по имени

Да ичего особого делать не нужно


Этот способ позволяет импортировать в инфоленты "Новости", "Блог", "Галерея", "Статьи".

Но непонятно, как быть с Вакансиями и Доской объявлений
Добавлено: 20.05.14 11:55:12 #4



Регистрация: 14.07.08
Сообщений: 1006


Обратиться по имени

Tester01:
Но непонятно, как быть с Вакансиями и Доской объявлений
Вот с этими модулями у меня возникли проблемы при попытке их перевести на инфоленты, выдалось сообщение об ошибке, причем на самой демке ситуация аналогичная и на мой взгляд данные модуля пока не поддерживаются инфолентами, пусть меня поправят, если я не прав.
[2014-05-20 11:46:31] ['USER: ERROR'] [code=256]:  ['Passed hypermodule/configuration 'ami_multifeeds5/jobs' not found in package 'amiro.system/'']
Добавлено: 20.05.14 16:30:30 #5



Регистрация: 22.06.10
Сообщений: 769


Обратиться по имени

Указанные модули еще не перенесены на API, перевести их на инфоленты на данный момент невозможно. Ошибка БД связана с этой же причиной.


Создать статью Ответить
ВебСтолица.РУ: создай свой бесплатный сайт!  | Пожаловаться  
Движок: Amiro CMS